{{/*
SPDX-FileCopyrightText: 2024 Zentrum für Digitale Souveränität der Öffentlichen Verwaltung (ZenDiS) GmbH
SPDX-License-Identifier: Apache-2.0
*/}}
---
kind: "Secret"
apiVersion: "v1"
metadata:
  name: {{ include "common.names.fullname" . | quote }}
  labels:
    {{- include "common.labels.standard" . | nindent 4 }}
    {{- if .Values.commonLabels }}
    {{- include "common.tplvalues.render" ( dict "value" .Values.commonLabels "context" $ ) | nindent 4 }}
    {{- end }}
  {{- if .Values.commonAnnotations }}
  annotations: {{- include "common.tplvalues.render" ( dict "value" .Values.commonAnnotations "context" $ ) | nindent 4 }}
  {{- end }}
data:
  asToken: {{ .Values.configuration.asToken | quote }}
  hsToken: {{ .Values.configuration.hsToken | quote }}
  ldapBindPassword: {{ .Values.configuration.ldap.bind_password | quote }}
...
